明经CAD社区

 找回密码
 注册

QQ登录

只需一步,快速开始

搜索
楼主: 飞诗(fsxm)

[资源] ★飞诗寻梦坐标标注1.08版 (源码放送)

  [复制链接]
发表于 2009-5-13 17:38 | 显示全部楼层
搞定了,谢谢
发表于 2009-5-14 16:33 | 显示全部楼层

;;;===========================快速标注子函数===========================
(defun fsxm_dimpointid_ptlst (dim_data ptlst / fsxm_q_dimpointid)
  (defun fsxm_q_dimpointid (point1 point2)
    (Initialize)
    (calc_textstring)
    (dim:entmake)
    (dim:all_mod)
    (add_update)
    (add_group)
  )
  (vla-StartUndoMark *doc*)
  (fsxm_dimpointid
    '(progn
      (foreach a dim_data (apply 'set a))
      (foreach 2pt ptlst (apply 'fsxm_q_dimpointid 2pt))
     )
  )
  (vla-EndUndoMark *doc*)
)

问两个事,飞哥,用这段代码生成的标注后,我还可以向里面添加扩展数据吗?如果添加了会不会影响你本身有的呀,还有你的扩展数据怎么会有种啊

命令: (entget (car(entsel)) '("*"))

选择对象: ((-1 . <图元名: 7ef10a38>) (0 . "INSERT") (5 . "487") (102 .
"{ACAD_XDICTIONARY") (360 . <图元名: 7ef10a70>) (102 . "}") (102 .
"{ACAD_REACTORS") (330 . <图元名: 7ef10aa0>) (102 . "}") (330 . <图元名: 7ef06cf8>)
(100 . "AcDbEntity") (67 . 0) (410 . "Model") (8 . "koyote-DIMPTID") (100 .
"AcDbBlockReference") (2 . "*U35") (10 1681.34 1998.36 0.0) (41 . 1.0) (42 .
1.0) (43 . 1.0) (50 . 0.0) (70 . 0) (71 . 0) (44 . 0.0) (45 . 0.0) (210 0.0 0.0
1.0) (-3 ("koyote_dimptid1005" (1005 . "488"))))

命令: (entget (car(entsel)) '("*"))

选择对象: ((-1 . <图元名: 7ef10a40>) (0 . "LEADER") (5 . "488") (102 .
"{ACAD_XDICTIONARY") (360 . <图元名: 7ef10a58>) (102 . "}") (102 .
"{ACAD_REACTORS") (330 . <图元名: 7ef10aa0>) (102 . "}") (330 . <图元名: 7ef06cf8>)
(100 . "AcDbEntity") (67 . 0) (410 . "Model") (8 . "koyote-DIMPTID") (100 .
"AcDbLeader") (3 . "koyote-DIMPTID") (71 . 0) (72 . 0) (73 . 3) (74 . 1) (75 .
0) (40 . 0.0) (41 . 0.0) (76 . 2) (10 1704.67 1945.17 0.0) (10 1681.34 1998.36
0.0) (340 . <图元名: 0>) (211 1.0 0.0 0.0) (210 0.0 0.0 1.0) (212 0.0 0.0 0.0)
(213 0.0 0.0 0.0) (-3 ("koyote.dimpointid" (1000 . "LEADER")) ("ACAD" (1000 .
"DSTYLE") (1002 . "{") (1070 . 41) (1040 . 3.5) (1070 . 40) (1040 . 1.0) (1002
. "}")) ("koyote_dimptid1005" (1005 . "488") (1005 . "487") (1005 . "489")
(1005 . "48A"))))

发表于 2009-5-14 17:25 | 显示全部楼层

(and (setq xl (vlax-get-Object "Excel.Application"))
    (setq range (vlax-get-property xl 'Selection))
    (setq no1 (vlax-variant-value (vlax-get-property range 'item 1)))
      )

 怎么这步(setq range (vlax-get-property xl 'Selection))是返回NIL值啊,以前是可以的呀 ,,

现在用了你的VLX还是一样呢,真是怪事一件

 楼主| 发表于 2009-5-14 19:52 | 显示全部楼层

我靠~你小了太贼了哈!做人要厚道哈!

发个源程序给你,什么都没动就先将"fsxm"改了"koyote"!

==========

1.你要再加添加扩展-3,先取出原来的,附在原来后面就行!这个不用问自己测试就知道了!

2.LEADER中保存了整个标注各个图元的句柄在dxf1005中,别的图元只保存了LEADER的句柄!

另:有关dxf1005的特别功能见help.

==========

你的Excel坏了?

发表于 2009-5-14 20:03 | 显示全部楼层
请领导原谅,
发表于 2009-5-14 20:19 | 显示全部楼层
没坏啊,就是不能用啦,好奇怪啊
发表于 2009-5-18 23:08 | 显示全部楼层
人品问题?
发表于 2009-5-22 14:13 | 显示全部楼层
坐标的文字都是有颜色的,如何不用颜色.
多谢飞哥给与指教!!!!
发表于 2009-5-22 15:07 | 显示全部楼层

什么叫不用颜色,不用颜色到底是什么色

发表于 2009-5-22 21:33 | 显示全部楼层
能把自己的呕心沥血之作放出来,无论如何都要顶,这是种大海般的胸怀,赞!!!!!
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号 )  
©2000-2023 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2024-5-3 15:15 , Processed in 0.317845 second(s), 19 queries , Gzip On.

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

快速回复 返回顶部 返回列表